class TempPhoto < ActiveRecord::Base
  has_attached_file :photo, :styles => { :small => "150x150>" },
    :url => "/system/temp_photo/:id/:style/:basename.:extension",
    :path => ":rails_root/public/system/temp_photo/:id/:style/:basename.:extension"
  
  def prev_temp_photo_id=(prev_id)
    TempPhoto.destroy(prev_id.to_i) rescue nil
  end
end
