class WorkoutsController < ApplicationController
  
  layout 'default'
  
  before_filter :find_model, :only => [:show, :destroy]
  
  def index
    @workouts = Workout.find(:all, :order => 'created_at')
  end

  def show
  end

  def new
  end

  def create
    @temp_photo = TempPhoto.find( params[:workout].delete(:temp_photo_id) )
    @workout = Workout.new(params[:workout])
    @workout.photo = @temp_photo.photo
    @workout.save!
    
    @temp_photo.destroy
    
    redirect_to workout_path(@workout)
  end

  def destroy
    @workout.destroy
    redirect_to workouts_path
  end


  private
  
  def find_model
    @workout = Workout.find(params[:id])
  end
end
